%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           mup
Version:        6.5

Release:        5%{?dist}
Summary:        A music notation program that can also generate MIDI files
Group:          Applications/Multimedia
License:        Mup
URL:            http://www.arkkra.com

%define         versionnodot %(echo %{version} | tr -d ".")

Source0:        ftp://ftp.arkkra.com/pub/unix/mup%{versionnodot}src.tar.gz
Source1:        mupmate.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         bz1423973-fix-invalid-conversions.patch

# Newer Fedora build roots no longer include, gcc, gcc-c++ by default
# https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B
BuildRequires:  gcc
BuildRequires:  gcc-c++

BuildRequires:  glibc-devel
BuildRequires:  fltk-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXft-devel
BuildRequires:  desktop-file-utils
BuildRequires:  bison
BuildRequires:  flex

%description
Mup is a program for printing music. It takes an input file containing ordinary
(ASCII) text describing music, and produces PostScript output for printing the
musical score described by the input.

%prep
%setup -q

# BZ #1423973 - fix invalid conversion of null bytes
%patch0 -p1

# Preserve the timestamp of files that we copy from the Mup source tree
sed -i -e 's|cp |cp -p |' makefile

# Fix location of the Mup documentation in Mupmate preferences
sed -i -e 's|/usr/share/doc/packages/mup|%{_pkgdocdir}|' mupmate/Preferences.C

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LIBDIR="%{_datadir}/%{name}" DOCDIR="%{_pkgdocdir}"

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" LIBDIR="%{buildroot}%{_datadir}/%{name}" DOCDIR="%{buildroot}%{_pkgdocdir}" install

mkdir -p %{buildroot}/%{_datadir}/applications
cp -p %{SOURCE1} %{buildroot}/%{_datadir}/applications/
desktop-file-validate %{buildroot}/%{_datadir}/applications/mupmate.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/README0 docs/uguide
%doc docs/license.txt docs/mupfeat.txt docs/overview.txt
%doc docs/*.html docs/*.mup docs/*.ps
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/mup
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar  1 2017 Greg Bailey <gbailey@lxpro.com> - 6.5-3
- Patch null byte conversion errors (#1423973)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Dec  4 2016 Greg Bailey <gbailey@lxpro.com> - 6.5-1
- Update to 6.5
- Additional useaccs values: nonermuser and nonnatrmuser
- Abilty to force printing clef or time signature, even if they didn't change
- Transposition can be limited to just notes or just chords
- Grace notes allowed to have any non-dotted time value
- Barstyle options of all and between
- New subbarstyle parameter
- newscore can include scoresep
- Improved note spacing
- Alignment markers can be included in rom, bold, ital, boldital, and center
- Alternate double whole symbol
- gridsatend can be set in staff context

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Greg Bailey <gbailey@lxpro.com> - 6.4.1-1
- Update to 6.4.1:
- corrected problem with "extended" (non-ASCII) characters (broken by 6.4)
- properly parse multiple aliases (fixing the 6.4 feature PostScript hooks)

* Fri Jan  1 2016 Greg Bailey <gbailey@lxpro.com> - 6.4-1
- Update to 6.4

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 6.3-3
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 19 2015 Rex Dieter <rdieter@fedoraproject.org> 6.3-2
- rebuild (fltk)

* Thu Dec 11 2014 Greg Bailey <gbailey@lxpro.com> - 6.3-1
- Update to 6.3
- Revert "-Werror=format-security" patch (merged upstream)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Greg Bailey <gbailey@lxpro.com> - 6.2-2
- Patch errors resulting from the use of "-Werror=format-security" (#1037208)
- See https://fedorahosted.org/fesco/ticket/1185

* Mon Nov 25 2013 Greg Bailey <gbailey@lxpro.com> - 6.2-1
- Update to 6.2

* Wed Aug 07 2013 Greg Bailey <gbailey@lxpro.com> - 6.1-7
- Cleanup documentation directory macros (Chuck Anderson)

* Mon Aug 05 2013 Greg Bailey <gbailey@lxpro.com> - 6.1-6
- Install documentation to an unversioned subdir for Fedora >= 20 (#992308)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 23 2013 Greg Bailey <gbailey@lxpro.com> 6.1-4
- Include mupmate.desktop as an actual source file

* Fri Feb 15 2013 Greg Bailey <gbailey@lxpro.com> 6.1-3
- Change license tag to "Mup"

* Mon Jan 28 2013 Greg Bailey <gbailey@lxpro.com> 6.1-2
- Adapt filepaths to Filesystem Hierarchy Standard
- Add Mupmate desktop file so it appears in the desktop menu
- Original Arkkra mup.spec changelog available in extras/mup.spec

* Sat Jan 26 2013 Brendan Jones <brendan.jones.it@gmail.com> 6.1-1
- Initial development

